<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pl">
<head>
<!-- Generated by javadoc (1.8.0_291) on Sun Oct 17 07:38:53 CEST 2021 -->
<title>ArticleService</title>
<meta name="date" content="2021-10-17">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArticleService";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../com/profacilis/sidnetdemo/article/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/profacilis/sidnetdemo/article/SidnetArticleApplicationTests.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/profacilis/sidnetdemo/article/ArticleService.html" target="_top">Frames</a></li>
<li><a href="ArticleService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.profacilis.sidnetdemo.article</div>
<h2 title="Class ArticleService" class="title">Class ArticleService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ArticleService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>@Service
public class <span class="typeNameLabel">ArticleService</span>
extends java.lang.Object</pre>
<div class="block">Service layer of Article microservice</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.0.1</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article">ArticleRepository</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html#articleRepository">articleRepository</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html#ArticleService-ArticleRepository-">ArticleService</a></span>(<a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article">ArticleRepository</a>&nbsp;articleRepository)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html#clear--">clear</a></span>()</code>
<div class="block">Clears the database and populates with sample data (3 items) with ids starting from 1</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html#get-java.lang.Long-">get</a></span>(java.lang.Long&nbsp;id)</code>
<div class="block">Gets an Article by its id</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>(package private) java.util.List&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/profacilis/sidnetdemo/article/ArticleService.html#getAll--">getAll</a></span>()</code>
<div class="block">Gets all Articles</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="articleRepository">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>articleRepository</h4>
<pre>private final&nbsp;<a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article">ArticleRepository</a> articleRepository</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ArticleService-ArticleRepository-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ArticleService</h4>
<pre>public&nbsp;ArticleService(<a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article">ArticleRepository</a>&nbsp;articleRepository)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>articleRepository</code> - <a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article"><code>ArticleRepository</code></a> autowired</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.0.1</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="get-java.lang.Long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre><a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>&nbsp;get(java.lang.Long&nbsp;id)</pre>
<div class="block">Gets an Article by its id</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - ID of an Article</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article"><code>Article</code></a> if found</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalStateException</code> - if id null or out of range or item not found</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.0.1</dd>
</dl>
</li>
</ul>
<a name="getAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAll</h4>
<pre>java.util.List&lt;<a href="../../../../com/profacilis/sidnetdemo/article/Article.html" title="class in com.profacilis.sidnetdemo.article">Article</a>&gt;&nbsp;getAll()</pre>
<div class="block">Gets all Articles</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of Articles</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.0.1</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clear</h4>
<pre>void&nbsp;clear()</pre>
<div class="block">Clears the database and populates with sample data (3 items) with ids starting from 1</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>0.0.1</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../com/profacilis/sidnetdemo/article/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/profacilis/sidnetdemo/article/ArticleRepository.html" title="interface in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/profacilis/sidnetdemo/article/SidnetArticleApplicationTests.html" title="class in com.profacilis.sidnetdemo.article"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/profacilis/sidnetdemo/article/ArticleService.html" target="_top">Frames</a></li>
<li><a href="ArticleService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
